Bug 493958 - Review request: fcoe-utils - utilities for fibre channel over ethernet
Review request: fcoe-utils - utilities for fibre channel over ethernet
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 494553
  Show dependency treegraph
 
Reported: 2009-04-03 09:32 EDT by Jan Zeleny
Modified: 2009-04-10 05:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 494553 494664 (view as bug list)
Environment:
Last Closed: 2009-04-10 05:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Zeleny 2009-04-03 09:32:09 EDT
SRPM: http://jzeleny.fedorapeople.org/packages/fcoe-utils/fcoe-utils-1.0.7-2.fc10.src.rpm
SPEC: http://jzeleny.fedorapeople.org/packages/fcoe-utils/fcoe-utils.spec

Fibre Channel over Ethernet utilities:
fcoeadm - command line tool for configuring FCoE interfaces
fcoemon - service to configure DCB Ethernet QOS filters, works with dcbd
Comment 1 Dan Horák 2009-04-08 06:54:30 EDT
formal review is here, see the notes below:

OK	source files match upstream:
	    60565a7c2b4b7c70056892b8c93d5de2d4d00d1e  fcoe-utils-1.0.7.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
Ok	license is open source-compatible (GPLv2). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
BAD	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- %{_sysconfdir}/fcoe and %{_sysconfdir}/fcoe/scripts directories are unowned, add them with %dir directive
Comment 3 Dan Horák 2009-04-08 07:41:24 EDT
All issues are fixed, this package is APPROVED.
Comment 4 Jan Zeleny 2009-04-08 08:57:50 EDT
New Package CVS Request
=======================
Package Name: fcoe-utils
Short Description: Utilities for Fibre channel over ethernet
Owners: jzeleny
Branches: 
InitialCC:
Comment 5 Kevin Fenzi 2009-04-09 19:41:20 EDT
cvs done.
Comment 6 Jan Zeleny 2009-04-10 05:35:31 EDT
Package has been built, closing this bug.

Note You need to log in before you can comment on or make changes to this bug.